import request from '@/utils/request'

export function getRecallPage(data) {
  return request({
    url: '/js-produce-recall/page',
    method: 'get',
    params: data
  })
}

export function getRecallList(data) {
  return request({
    url: '/js-produce-recall/list',
    method: 'post',
    data: data
  })
}

export function getRecallDetail(data) {
  return  request({
    url: '/js-produce-recall/listById',
    method: 'post',
    data: data
  })
}

export function addRecallPage(data) {
  return request({
    url: '/js-produce-recall/add',
    method: 'post',
    data: data
  })
}

export function editRecallPage(data) {
  return request({
    url: '/js-produce-recall/edit',
    method: 'post',
    data: data
  })
}

export function delRecallPage(data) {
  return request({
    url: '/js-produce-recall/delete',
    method: 'post',
    data: data
  })
}
